#include<iostream>
using namespace std;
int main()
{
    int n;
    int d;
    int k;
    int a=1;
    int b=0;
    int sbor=0;
    cin>>n>>d>>k;
       while(b<=k)
    {
        sbor=sbor+a;
        a=a+d;
        b=b+1;
    }
    cout<<sbor;
    return 0;
}
